お好みオーダー一覧取得
GET
/custom_orders
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/custom_orders?limit=20&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/custom_orders?limit=20&page=1' \ --header 'Authorization: Bearer <token>'お好みオーダーの一覧を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
Example
20page
integer
ページ番号
Example
1Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
CustomOrderお好みオーダー情報
object
customId
お好みオーダーID
string
customName
お好みオーダー名
string
contents
お好みオーダー内容
Array
object
customContentId
お好みオーダー内容ID
string
customContentName
お好みオーダー内容名
string
sortNo
ソート番号
integer
Examples
Exampleレスポンス例
[ { "customId": "1", "customName": "飲み方", "contents": [ { "customContentId": "11", "customContentName": "ロック", "sortNo": 1 }, { "customContentId": "12", "customContentName": "水割り", "sortNo": 2 }, { "customContentId": "22", "customContentName": "ストレート", "sortNo": 3 } ] }, { "customId": "2", "customName": "辛さ", "contents": [ { "customContentId": "14", "customContentName": "中辛", "sortNo": 1 }, { "customContentId": "15", "customContentName": "大辛", "sortNo": 2 }, { "customContentId": "18", "customContentName": "激辛", "sortNo": 3 } ] }]Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"
Bad Request
- リクエストパラメーターが不正
- 不正な値が指定された場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}